///////////////////////////////////////////////////////////////////////
// Pingus                                                            //
// Copyright (C) 1999 Ingo Ruhnke <grumbel@gmx.de>                   //
//*******************************************************************//
// This program is free software; you can redistribute it and/or     //
// modify it under the terms of the GNU General Public License       //
// as published by the Free Software Foundation; either version 2    //
// of the License, or (at your option) any later version.            //
//                                                                   //
// This program is distributed in the hope that it will be useful,   //
// but WITHOUT ANY WARRANTY; without even the implied warranty of    //
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the     //
// GNU General Public License for more details.                      //
///////////////////////////////////////////////////////////////////////

#ifndef LEVELMAP_HH
#define LEVELMAP_HH

#include <ClanLib/clanlib.h>
#include <ClanLib/clanlayer2.h>

#include "PLF.hh"
#include "GuiObj.hh"
#include "GameObj.hh"

// The LevelMap is a small overview of the complete level, it should
// resiste in bottom/right corner of the screen.

class LevelMap : public GuiObj, public GameObj
{
private:
  CL_Surface* map;
public:
  static void load_data();

  LevelMap(PLF* plf);
  void let_move();
  void draw();
};

#endif

/* EOF */
